MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007502ardourbugspublic2017-11-06 10:532018-04-03 02:26
Reporterjerome.barbaza 
Assigned Tox42 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionno change required 
PlatformAMD FX6300OSubuntu studioOS Version17.10
Product Version5.12 
Target VersionFixed in Version 
Summary0007502: crach since ubuntu upgrade
Descriptioni upgraded ubuntu studio 17.04 to 17.10.
Since this change, i can't open Ardour 5.12
only the default version 5.11 can be uses

the ardour 5.12 open the start window and crash after any choice (open or create a project)


Steps To Reproducei removed ardour 5.12 and reinstall with the file Ardour-5.12.0-x86_64.run
the problem is the same.
Additional InformationI launch in terminal
/opt/Ardour-5.12.0/bin/ardour5
the answer :
bind txt domain [gtk2_ardour5] to /opt/Ardour-5.12.0/share/locale
Ardour5.12.0 (construit avec 5.12 et GCC version 5.2.1 20150903)
ardour: [INFO]: Votre configuration-système limite Ardour à 1048576 fichiers ouverts
ardour: [INFO]: Chargement du fichier de configuration-système /opt/Ardour-5.12.0/etc/system_config
ardour: [INFO]: Chargement du fichier de configuration-utilisateur /home/jerome/.config/ardour5/config
ardour: [INFO]: CPU vendor: AuthenticAMD
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: AMD FX(tm)-6300 Six-Core Processor
ardour: [INFO]: Using SSE optimized routines
Impossible d'installer le gestionnaire d'erreurs SIGPIPE
ardour: [INFO]: Chargement du fichier de style par défaut (/opt/Ardour-5.12.0/etc/default_ui_config) pour l'interface graphique
ardour: [INFO]: Chargement du fichier utilisateur de la configuration de l'interface graphique /home/jerome/.config/ardour5/ui_config
Couleur shuttle bg introuvable
ardour: [INFO]: Chargement du fichier de couleur /opt/Ardour-5.12.0/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.12.0/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.12.0/etc/clearlooks.rc
Found nothing along /home/jerome/.config/ardour5/templates:/opt/Ardour-5.12.0/share/templates
run dialog
protocol Wiimote not found
*** Error in `/opt/Ardour-5.12.0/bin/ardour-5.12.0': free(): invalid pointer: 0x0000000002dce2ac ***
Abandon (core dumped)
TagsNo tags attached.
Attached Filestxt file icon ardour_backtrace.txt [^] (14,082 bytes) 2018-01-27 08:53 [Show Content]

Sponsor - Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 5

2018-03-05 03:41: jihema (US$ 5)

- Relationships
duplicate of 0007489closed pointer exception on startup for new project in safe mode 

-  Notes
(0020129)
driedstr (reporter)
2018-01-21 18:47

I just ran into this issue on a fresh install of Ardour 5.12 on my Intel machine, also Ubuntu 17.10. Selecting new project works, the audio driver dialog opens, then crashes when ALSA driver is started or sync to Jack is selected. Here's my console output:

bind txt domain [gtk2_ardour5] to /opt/Ardour-5.12.0/share/locale
Ardour5.12.0 (built using 5.12 and GCC version 5.2.1 20150903)
ardour: [INFO]: Your system is configured to limit Ardour to only 4096 open files
ardour: [INFO]: Loading system configuration file /opt/Ardour-5.12.0/etc/system_config
ardour: [INFO]: Loading user configuration file /home/dried/.config/ardour5/config
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand: Intel(R) Core(TM) i5-4250U CPU @ 1.30GHz
ardour: [INFO]: Using SSE optimized routines
Cannot xinstall SIGPIPE error handler
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-5.12.0/etc/default_ui_config
Color shuttle bg not found
ardour: [INFO]: Loading color file /opt/Ardour-5.12.0/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.12.0/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.12.0/etc/clearlooks.rc
Found nothing along /home/dried/.config/ardour5/templates:/opt/Ardour-5.12.0/share/templates
run dialog
*** Error in `/opt/Ardour-5.12.0/bin/ardour-5.12.0': free(): invalid pointer: 0x0000000002a8964c ***
Aborted (core dumped)
(0020138)
julianyon (reporter)
2018-01-27 08:53
edited on: 2018-01-27 08:56

Not usually one to make “me too” bug reports, but as this is an absolute showstopper: Me too. Going to try to upload a backtrace.

Edit: It appeared to upload. Go me.
Edit 2: Ubuntu Studio 17.10, x86_64, AMD A6-7310, official Ardour 5.12 build.

(0020200)
jihema (reporter)
2018-03-05 03:42
edited on: 2018-03-05 10:39

Me too and since I'm new here I'll start by sponsoring this issue.

I should add that unfortunately the problem persists when I downgrade to version 5.11.0.

(0020201)
jihema (reporter)
2018-03-05 14:38

So, looking at the stack trace the crash occurs in /usr/lib/ladspa/csladspa.so. Indeed, removing the csladspa package fixes it for me.
(0020202)
timbyr (developer)
2018-03-05 23:51

Has this bug been reported against the relevant csladspa package?

I had a quick look in the Debian bug tracker but could not find anything.
(0020203)
jihema (reporter)
2018-03-06 02:05

I'm happy to report it but do you know who maintains csladspa? Could you post a ink to the bug tracker if you have it please?
(0020204)
timbyr (developer)
2018-03-06 03:41

I'm not really familiar or involved with the debian project or ubuntu but a quick search turns up this:

https://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=csladspa;dist=unstable [^]

https://packages.ubuntu.com/artful/csladspa [^]
(0020208)
jihema (reporter)
2018-03-11 01:46

Reported as csound package bug on Ubuntu: https://bugs.launchpad.net/ubuntu/+source/csound/+bug/1754944 [^]
(0020209)
x42 (administrator)
2018-03-18 12:13

It's already fixed upstream in csound-git since December 2017
(0020210)
x42 (administrator)
2018-03-18 12:46

PS. The issue was in /frontends/csladspa/csladspa.cpp:406 in init_descriptor(char*, int)
The std::string is on the stack and doesn't need to be free()ed:

-------------------8<---------------------
// global variable
static struct AuxData {
  ..
  std::string portnames[MAXPORTS];
  ..
} aux;


// function
init_descriptor(..) {
  ...
  string *ctlchn = aux[plugindex].portnames;
  ...
  delete[] ctlchn; //<< BUG
}

-------------------8<---------------------


Even though the commit message does not mention it, it was fixed as part of https://github.com/csound/csound/commit/7bad3e3801e219860d91b1845f42c87812fc1d89 [^]
(0020211)
x42 (administrator)
2018-03-18 12:46

Not an Ardour bug.
(0020244)
julianyon (reporter)
2018-04-03 02:26

Having finally had a chance to look at this I agree that the primary bug here is in csladspa.so itself and I'd already removed the package before checking back here just now. However, I'd argue that crashing during startup without at least a diagnostic message is itself an Ardour bug, as non-programmers are never going to be able to work that out themselves.

- Issue History
Date Modified Username Field Change
2017-11-06 10:53 jerome.barbaza New Issue
2018-01-21 18:47 driedstr Note Added: 0020129
2018-01-27 08:53 julianyon Note Added: 0020138
2018-01-27 08:53 julianyon File Added: ardour_backtrace.txt
2018-01-27 08:54 julianyon Note Edited: 0020138 View Revisions
2018-01-27 08:56 julianyon Note Edited: 0020138 View Revisions
2018-03-05 03:41 jihema Sponsorship Added jihema: US$ 5
2018-03-05 03:41 jihema Sponsorship Total 0 => 5
2018-03-05 03:42 jihema Note Added: 0020200
2018-03-05 10:39 jihema Note Edited: 0020200 View Revisions
2018-03-05 14:38 jihema Note Added: 0020201
2018-03-05 23:51 timbyr Note Added: 0020202
2018-03-05 23:51 timbyr Status new => feedback
2018-03-06 02:05 jihema Note Added: 0020203
2018-03-06 03:41 timbyr Note Added: 0020204
2018-03-11 01:46 jihema Note Added: 0020208
2018-03-18 12:12 x42 Relationship added duplicate of 0007489
2018-03-18 12:13 x42 Note Added: 0020209
2018-03-18 12:46 x42 Note Added: 0020210
2018-03-18 12:46 x42 Note Added: 0020211
2018-03-18 12:46 x42 Status feedback => resolved
2018-03-18 12:46 x42 Resolution open => no change required
2018-03-18 12:46 x42 Assigned To => x42
2018-04-03 02:26 julianyon Note Added: 0020244


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker